<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-back-button text="" mode="md"></ion-back-button>
    </ion-buttons>
    <ion-title>{{'Coupons' | translate}}</ion-title>
    <ion-button (click)="addnew()" slot="end" fill="clear" color="light">
      <ion-icon slot="icon-only" name="add"></ion-icon>
    </ion-button>
  </ion-toolbar>
</ion-header>

<ion-content>
  <div class="mainContent">
    <h2 class="ion-text-center" *ngIf="!dummy?.length && !foods?.length">{{'No Coupons Found' | translate}}</h2>
    <ion-item *ngFor="let item of dummy">
      <ion-thumbnail slot="start">
        <ion-skeleton-text animated></ion-skeleton-text>
      </ion-thumbnail>
      <ion-label>
        <h3>
          <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
        </h3>
        <p>
          <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
        </p>
        <p>
          <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
        </p>
      </ion-label>
    </ion-item>

    <div *ngFor="let food of foods;">
      <span class="card_div" (click)="foodsInfo(food)">
        <img [src]="food.image" class="back_image" alt="">
        <div class="content_div">
          <ion-label class="title">{{food?.available[0].name}}</ion-label>
          <ion-label class="small">{{food.desc}}</ion-label>
          <ion-label class="title">{{food.discout | currency: 'COP' : 'symbol-narrow'}}</ion-label>
          <ion-label class="small">Fecha expiración: {{food.expire}}</ion-label>
        </div>
      </span>
    </div>
  </div>
</ion-content>